Index: branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/ZMenu/FrmMenuAuxiliary.cs	(revision 93)
@@ -4214,7 +4214,7 @@
 
                 strSQL += string.Format(" WHERE A.TYINGFLG = {0}", (int)CommonDefine.BaseInfoTyingFlg.Tying);
                 //strSQL += " AND (A.BILLINGDATE = TO_DATE('0001/01/01') OR A.BILLINGDATE > ADD_MONTHS(sysdate, -1))";
-                strSQL += " AND (A.BILLINGDATE = STR_TO_DATE('0001/01/01', '%Y/%m/%d') OR A.BILLINGDATE > DATE_ADD(NOW(), INTERVAL -1 MONTH))";
+                strSQL += " AND (DATE(A.BILLINGDATE) = STR_TO_DATE('0001/01/01', '%Y/%m/%d') OR DATE(A.BILLINGDATE) > DATE_ADD(NOW(), INTERVAL -1 MONTH))";
                 strSQL += string.Format(" AND A.ConstructionStatusFlg <> {0} AND A.ConstructionStatusFlg < {1}", NotOrder, BillComp);
 
                 //strSQL += CreateFluctuationProjectsSQL();
@@ -4244,7 +4244,7 @@
                 strSQL += string.Format(" AND A.ConstructionStatusFlg <> {0}", NotOrder);
                 strSQL += " AND H.CONSTRUCTIONCODE = A.CONSTRUCTIONCODE";
                 //strSQL += " AND I.CONSTRUCTIONCODE = H.FLUCTUATIONCODE AND (I.BILLINGDATE = TO_DATE('0001/01/01') OR I.BILLINGDATE > ADD_MONTHS(sysdate, -1)) ";
-                strSQL += " AND I.CONSTRUCTIONCODE = H.FLUCTUATIONCODE AND (I.BILLINGDATE = STR_TO_DATE('0001/01/01', '%Y/%m/%d') OR I.BILLINGDATE > DATE_ADD(NOW(), INTERVAL -1 MONTH)) ";
+                strSQL += " AND I.CONSTRUCTIONCODE = H.FLUCTUATIONCODE AND (DATE(I.BILLINGDATE) = STR_TO_DATE('0001/01/01', '%Y/%m/%d') OR DATE(I.BILLINGDATE) > DATE_ADD(NOW(), INTERVAL -1 MONTH)) ";
                 strSQL += ")";
 
                 strSQL += " ORDER BY 2 Desc, 14 Desc, 15 Asc, 17 Asc, 3 ASC";
@@ -4659,7 +4659,7 @@
 
                 // 工事基本情報取得
                 if (!cbiDB.ExecuteReader(strSQL, ref arData)) return;
-                if (arData.Count == 0) return;
+                //if (arData.Count == 0) return;
 
                 ProgressCompletionOfConstruction.Visible = true;
                 ProgressCompletionOfConstruction.Minimum = 0;
@@ -4676,6 +4676,87 @@
                 lblCompTotal03.Visible = false;
                 lblCompTotal04.Visible = false;
 
+                // グリッド表示
+                if (arData.Count != 0) DispCompOfConstrGrid(cbiDB, arData);
+
+                // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
+                dgvCompletionOfConstruction.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
+                dgvCompletionOfConstruction.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
+                dgvCompletionOfConstruction.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
+
+                // ProgressBarの値を変更する
+                ProgressCompletionOfConstruction.Value = ProgressCompletionOfConstruction.Maximum;
+                ProgressCompletionOfConstruction.Update();
+                ProgressCompletionOfConstruction.Visible = false;
+
+                // 金額表示
+                long[] Total01 = CalcOrdersDecisionPrice((numUDCompletion.Value - 1));
+                long[] Total02 = CalcOrdersDecisionPrice(numUDCompletion.Value);
+                lblCompTotal01.Text = @"\" + (Total01[0] + Total01[1]).ToString("#,0") + "-";
+                lblCompTotal02.Text = @"\" + (Total02[0] + Total02[1]).ToString("#,0") + "-";
+                lblCompTotal03.Text = @"\" + Total02[0].ToString("#,0") + "-";
+                lblCompTotal04.Text = @"\" + Total02[1].ToString("#,0") + "-";
+
+                // 最高機密管理者のみ金額が表示される
+                bool bSelFlg = false;
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
+                        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
+                        bSelFlg = true;
+                }
+                else
+                {
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                        || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
+                        bSelFlg = true;
+                }
+
+                if (bSelFlg)
+                {
+                    lblCompTitle01.Visible = true;
+                    lblCompTitle02.Visible = true;
+                    lblCompTitle03.Visible = true;
+                    lblCompTitle04.Visible = true;
+                    lblCompTotal01.Visible = true;
+                    lblCompTotal02.Visible = true;
+                    lblCompTotal03.Visible = true;
+                    lblCompTotal04.Visible = true;
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+            finally
+            {
+                // 読込時データカウント取得
+                if (CommonDefine.s_MaxInitLineCount > dgvCompletionOfConstruction.RowCount)
+                    dgvCompletionOfConstruction.RowCount += (CommonDefine.s_MaxInitLineCount - dgvCompletionOfConstruction.RowCount);
+                foreach (DataGridViewColumn wrkCol in dgvCompletionOfConstruction.Columns)
+                    wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
+
+                // グリッドソート実行
+                GridSortExcute(dgvCompletionOfConstruction);
+                dgvCompletionOfConstruction.ResumeLayout();
+
+                cbiDB.close(); cbiDB = null;
+                picDB.close(); picDB = null;
+            }
+        }
+        #endregion
+
+        #region 完了案件一覧グリッド表示
+        /// <summary>
+        /// 完了案件一覧グリッド表示
+        /// </summary>
+        /// <param name="cbiDB"></param>
+        /// <param name="arData"></param>
+        private void DispCompOfConstrGrid(IOConstructionBaseInfo cbiDB, ArrayList arData)
+        {
+            try
+            {
                 dgvCompletionOfConstruction.SuspendLayout();
 
                 // 1件目取得
@@ -4760,71 +4841,12 @@
                     ProgressCompletionOfConstruction.Value = ino++;
                     ProgressCompletionOfConstruction.Update();
                 }
-                // 行や列を追加したり、セルに値を設定するときは、自動サイズ設定しない。
-                dgvCompletionOfConstruction.AutoSizeColumnsMode = DataGridViewAutoSizeColumnsMode.None;
-                dgvCompletionOfConstruction.AutoSizeRowsMode = DataGridViewAutoSizeRowsMode.None;
-                dgvCompletionOfConstruction.ColumnHeadersHeightSizeMode = DataGridViewColumnHeadersHeightSizeMode.DisableResizing;
 
-                // ProgressBarの値を変更する
-                ProgressCompletionOfConstruction.Value = ProgressCompletionOfConstruction.Maximum;
-                ProgressCompletionOfConstruction.Update();
-                ProgressCompletionOfConstruction.Visible = false;
-
-                // 金額表示
-                long[] Total01 = CalcOrdersDecisionPrice((numUDCompletion.Value - 1));
-                long[] Total02 = CalcOrdersDecisionPrice(numUDCompletion.Value);
-                lblCompTotal01.Text = @"\" + (Total01[0] + Total01[1]).ToString("#,0") + "-";
-                lblCompTotal02.Text = @"\" + (Total02[0] + Total02[1]).ToString("#,0") + "-";
-                lblCompTotal03.Text = @"\" + Total02[0].ToString("#,0") + "-";
-                lblCompTotal04.Text = @"\" + Total02[1].ToString("#,0") + "-";
-
-                // 最高機密管理者のみ金額が表示される
-                bool bSelFlg = false;
-                // 新セキュリティデータ対応済みかを確認する
-                if (CommonMotions.LoginUserData.SecCode == 0)
-                {
-                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement ||
-                        CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key)
-                        bSelFlg = true;
-                }
-                else
-                {
-                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
-                        || CommonMotions.LoginUserSecurity.SecRank == CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.SpecialAuthority].Key)
-                        bSelFlg = true;
-                }
-
-                if (bSelFlg)
-                {
-                    lblCompTitle01.Visible = true;
-                    lblCompTitle02.Visible = true;
-                    lblCompTitle03.Visible = true;
-                    lblCompTitle04.Visible = true;
-                    lblCompTotal01.Visible = true;
-                    lblCompTotal02.Visible = true;
-                    lblCompTotal03.Visible = true;
-                    lblCompTotal04.Visible = true;
-                }
             }
             catch (Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            finally
-            {
-                // 読込時データカウント取得
-                if (CommonDefine.s_MaxInitLineCount > dgvCompletionOfConstruction.RowCount)
-                    dgvCompletionOfConstruction.RowCount += (CommonDefine.s_MaxInitLineCount - dgvCompletionOfConstruction.RowCount);
-                foreach (DataGridViewColumn wrkCol in dgvCompletionOfConstruction.Columns)
-                    wrkCol.SortMode = DataGridViewColumnSortMode.Automatic;
-
-                // グリッドソート実行
-                GridSortExcute(dgvCompletionOfConstruction);
-                dgvCompletionOfConstruction.ResumeLayout();
-
-                cbiDB.close(); cbiDB = null;
-                picDB.close(); picDB = null;
-            }
         }
         #endregion
 
@@ -5160,9 +5182,9 @@
 
                 // --------------- 会社休日データの表示(会社カレンダーは必ずあることが前提、無ければ休日が出ない)
                 //string strCalender = string.Format(" Where TO_DATE('{0}','YYYY/MM/DD') <= Holiday", ColenderStartDate.ToShortDateString());
-                string strCalender = string.Format(" Where STR_TO_DATE('{0}','%Y/%m/%d') <= Holiday", ColenderStartDate.ToShortDateString());
+                string strCalender = string.Format(" Where STR_TO_DATE('{0}','%Y/%m/%d') <= DATE(Holiday)", ColenderStartDate.ToShortDateString());
                 //strCalender += string.Format(" And Holiday <= TO_DATE('{0}','YYYY/MM/DD')", ColenderEndDate.ToShortDateString());
-                strCalender += string.Format(" And Holiday <= STR_TO_DATE('{0}','%Y/%m/%d')", ColenderEndDate.ToShortDateString());
+                strCalender += string.Format(" And DATE(Holiday) <= STR_TO_DATE('{0}','%Y/%m/%d')", ColenderEndDate.ToShortDateString());
                 List<HolidayCalenderMaster> hcList = new List<HolidayCalenderMaster>();
                 if (!hcDB.SelectAction(strCalender, ref hcList)) return false;
                 if (hcList.Count == 0) return false;
@@ -5238,7 +5260,7 @@
 
                 // --------------- 行動予定の表示
                 List<ActionScheduleData> asdList = new List<ActionScheduleData>();
-                string strSQL = String.Format(" Where (STR_TO_DATE('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= STR_TO_DATE('{1}','%Y/%m/%d'))"
+                string strSQL = String.Format(" Where (STR_TO_DATE('{0}','%Y/%m/%d') <= DATE(TargetDate) AND DATE(TargetDate) <= STR_TO_DATE('{1}','%Y/%m/%d'))"
                                         , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
                 strSQL += string.Format(" And PersonCode = {0}", iCode);
                 strSQL += " ORDER BY TargetDate ASC";
@@ -5438,7 +5460,7 @@
                 strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B";
                 strSQL += " LEFT OUTER JOIN ACTIONSCHEDULEDATA C ON B.PERSONCODE = C.PERSONCODE";
                 //strSQL += String.Format(" AND (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
-                strSQL += String.Format(" AND (STR_TO_DATE('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= STR_TO_DATE('{1}','%Y/%m/%d'))"
+                strSQL += String.Format(" AND (STR_TO_DATE('{0}','%Y/%m/%d') <= DATE(TargetDate) AND DATE(TargetDate) <= STR_TO_DATE('{1}','%Y/%m/%d'))"
                                         , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
                 strSQL += " Where A.ACTIONSCHEDULEFLG = 0";
                 strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
@@ -5635,7 +5657,7 @@
                 strSQL += " FROM PERSONINCHARGEMASTER B";
                 strSQL += " LEFT OUTER JOIN ACTIONSCHEDULEDATA C ON B.PERSONCODE = C.PERSONCODE";
                 //strSQL += String.Format(" AND (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
-                strSQL += String.Format(" AND (STR_TO_DATE('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= STR_TO_DATE('{1}','%Y/%m/%d'))"
+                strSQL += String.Format(" AND (STR_TO_DATE('{0}','%Y/%m/%d') <= DATE(TargetDate) AND DATE(TargetDate) <= STR_TO_DATE('{1}','%Y/%m/%d'))"
                                         , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
                 strSQL += string.Format(" Where B.EmployeeClassFlg = {0}", (int)CommonDefine.EmployeeClassFlg.OutSource);
                 strSQL += " AND B.DELETEFLG = 0";
@@ -5887,7 +5909,7 @@
                 string strSQL = "SELECT * FROM VEHICLEMASTER A";
                 strSQL += " LEFT JOIN VEHICLESCHEDULEDATA B ON A.VEHICLECODE = B.VEHICLECODE";
                 //strSQL += String.Format(" AND (TO_DATE('{0}','YYYY/MM/DD') <= TargetDate AND TargetDate <= TO_DATE('{1}','YYYY/MM/DD'))"
-                strSQL += String.Format(" AND (STR_TO_DATE('{0}','%Y/%m/%d') <= TargetDate AND TargetDate <= STR_TO_DATE('{1}','%Y/%m/%d'))"
+                strSQL += String.Format(" AND (STR_TO_DATE('{0}','%Y/%m/%d') <= DATE(TargetDate) AND DATE(TargetDate) <= STR_TO_DATE('{1}','%Y/%m/%d'))"
                                         , ColenderStartDate.ToShortDateString(), ColenderEndDate.ToShortDateString());
                 strSQL += " LEFT JOIN PERSONINCHARGEMASTER C ON B.PERSONCODE = C.PERSONCODE";
                 strSQL += " WHERE VehicleScheduleFlg = 0";
Index: branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 92)
+++ branches/src/ProcessManagement/ProcessManagement/ProcessManagement.csproj	(revision 93)
@@ -87,14 +87,11 @@
       <SpecificVersion>False</SpecificVersion>
       <HintPath>lib\log4net.dll</HintPath>
     </Reference>
-    <Reference Include="Microsoft.Office.Interop.Excel, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c">
-      <EmbedInteropTypes>True</EmbedInteropTypes>
+    <Reference Include="Microsoft.VisualBasic" />
+    <Reference Include="Microsoft.VisualBasic.PowerPacks, Version=12.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL">
+      <SpecificVersion>False</SpecificVersion>
+      <HintPath>C:\Program Files (x86)\Reference Assemblies\Microsoft\VBPowerPacks\v12.0\Microsoft.VisualBasic.PowerPacks.dll</HintPath>
     </Reference>
-    <Reference Include="Microsoft.Office.Interop.Word, Version=12.0.0.0, Culture=neutral, PublicKeyToken=71e9bce111e9429c">
-      <EmbedInteropTypes>True</EmbedInteropTypes>
-    </Reference>
-    <Reference Include="Microsoft.VisualBasic" />
-    <Reference Include="Microsoft.VisualBasic.PowerPacks.Vs, Version=10.0.0.0, Culture=neutral, PublicKeyToken=b03f5f7f11d50a3a, processorArchitecture=MSIL" />
     <Reference Include="MySql.Data, Version=6.9.9.0, Culture=neutral, PublicKeyToken=c5687fc88969c44d, processorArchitecture=MSIL">
       <SpecificVersion>False</SpecificVersion>
       <HintPath>lib\MySql.Data.dll</HintPath>
@@ -1719,6 +1716,44 @@
     <Content Include="Resources\kanriIcon.ico" />
     <Content Include="rinen.jpg" />
   </ItemGroup>
+  <ItemGroup>
+    <COMReference Include="Microsoft.Office.Core">
+      <Guid>{2DF8D04C-5BFA-101B-BDE5-00AA0044DE52}</Guid>
+      <VersionMajor>2</VersionMajor>
+      <VersionMinor>7</VersionMinor>
+      <Lcid>0</Lcid>
+      <WrapperTool>primary</WrapperTool>
+      <Isolated>False</Isolated>
+      <EmbedInteropTypes>True</EmbedInteropTypes>
+    </COMReference>
+    <COMReference Include="Microsoft.Office.Interop.Excel">
+      <Guid>{00020813-0000-0000-C000-000000000046}</Guid>
+      <VersionMajor>1</VersionMajor>
+      <VersionMinor>8</VersionMinor>
+      <Lcid>0</Lcid>
+      <WrapperTool>primary</WrapperTool>
+      <Isolated>False</Isolated>
+      <EmbedInteropTypes>True</EmbedInteropTypes>
+    </COMReference>
+    <COMReference Include="Microsoft.Office.Interop.Word">
+      <Guid>{00020905-0000-0000-C000-000000000046}</Guid>
+      <VersionMajor>8</VersionMajor>
+      <VersionMinor>6</VersionMinor>
+      <Lcid>0</Lcid>
+      <WrapperTool>primary</WrapperTool>
+      <Isolated>False</Isolated>
+      <EmbedInteropTypes>True</EmbedInteropTypes>
+    </COMReference>
+    <COMReference Include="VBIDE">
+      <Guid>{0002E157-0000-0000-C000-000000000046}</Guid>
+      <VersionMajor>5</VersionMajor>
+      <VersionMinor>3</VersionMinor>
+      <Lcid>0</Lcid>
+      <WrapperTool>primary</WrapperTool>
+      <Isolated>False</Isolated>
+      <EmbedInteropTypes>True</EmbedInteropTypes>
+    </COMReference>
+  </ItemGroup>
   <Import Project="$(MSBuildToolsPath)\Microsoft.CSharp.targets" />
   <!-- To modify your build process, add your task inside one of the targets below and uncomment it. 
        Other similar extension points exist, see Microsoft.Common.targets.
